Yum issue installing VLC

Issues related to applications and software problems

Yum issue installing VLC

Postby tegryan » 2012/12/04 18:24:59

Hi all,

I've run into an issue I can't find a solution to in the forums or on the web. I want to install VLC on my CentOS 6.3 laptop. I have tried the following:

- enabled several repos - atm, elrepo, linuxtech, rpmforge, etc. None of them work, most failed dependencies with FFMPEG that I could not resolve.
- I've remove FFMPEG and cleaned out the repos (only the base and linuxtech ones are left) do a yum clean all, yum clean metadata

Now I get this error message:

Transaction Check Error:
file /usr/lib64/libpostproc.so.51.2.0 from install of ffmpeg-libs-0.6.5-2.el6.x86_64 conflicts with file from package ffmpeg-libpostproc-0.6.5-1.el6.rf.x86_64
file /usr/lib64/libavutil.so.50 from install of ffmpeg-libs-0.6.5-2.el6.x86_64 conflicts with file from package libavutil50-0.7.11-52.el6.x86_64

So I went and phyically removed those files from my system and did another yum clean all/yum clean metadata but I still get that message.

Can anyone help me get rid of those files/metadata and resolve these dependencies and get VLC installed please?

Thanks!

Here is my full repo list if that helps:

adobe-linux-x86_64.repo CentOS-Debuginfo.repo google-chrome.repo linuxtech.repo
CentOS-Base.repo CentOS-Vault.repo Google.repo
tegryan
 
Posts: 3
Joined: 2012/12/04 18:18:14

Yum issue installing VLC

Postby TrevorH » 2012/12/04 18:57:29

It's not the files themselves that it's complaining about, it has a record of which files belong to which package in the rpm database in order to stop packages from overwriting things which belong to something else.

You problem is too many repositories and not enough order! So from the latest set of messages you have a package from rpmforge already installed that supplies a file that the package ffmpeg-libs-0.6.5-2.el6.x86_64 wants to overwrite. To fix that you would need to remove the currently installed package (and anything and everything that depends on it). Similarly you have libavutil50-0.7.11-52.el6.x86_64 installed now and the new ffmpeg-libs-0.6.5-2.el6.x86_64 wants to overwrite one (or more) of its files. You'd have to remove libavutil to fix this.

Rather than remove those two, perhaps you should find out which repo they came from and see if there's a copy of vlc there that you can use - that way it will be designed to operate with your currently installed packages.

If you do not currently have yum-plugin-priorities installed and configured then you should take the time out to install it and learn how it works before you go any further.
User avatar
TrevorH
Forum Moderator
 
Posts: 9166
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Yum issue installing VLC

Postby tegryan » 2012/12/04 20:17:47

Thanks very much for the detailed response Trevor!

Here is where I am at:

find which repo is responsible for these dirty files:

# rpm -qf /usr/lib64/libpostproc.so.51.2.0
ffmpeg-libpostproc-0.6.5-1.el6.rf.x86_64

Not surprising, it's ffmpeg, so where did it come from?

# yum info installed ffmpeg*
Loaded plugins: fastestmirror, priorities, refresh-packagekit, security
Loading mirror speeds from cached hostfile
* base: mirror.its.sfu.ca
* centosplus: mirror.its.sfu.ca
* extras: mirror.its.sfu.ca
* updates: mirror.its.sfu.ca
Installed Packages
Name : ffmpeg-libpostproc
Arch : x86_64
Version : 0.6.5
Release : 1.el6.rf
Size : 122 k
Repo : installed
From repo : rpmforge
Summary : Video postprocessing library from ffmpeg
URL : http://ffmpeg.org/
License : GPL
Description : FFmpeg is a very fast video and audio converter. It can also grab from a
: live audio/video source.
:
: This package contains only ffmpeg's libpostproc post-processing library which
: other projects such as transcode may use. Install this package if you intend
: to use MPlayer, transcode or other similar programs.

Looks like rpmforge, so let's renable that and remove linuxtech:

rm -rf linuxtech.repo

wget http://packages.sw.be/rpmforge-release/ ... x86_64.rpm

rpm -i rpmforge-release-0.5.2-2.el6.rf.*.rpm

yum clean all

yum clean metadata

yum update

yum install vlc

Then I get smacked with this sucker:

--> Finished Dependency Resolution
Error: Package: vlc-1.1.13-1.el6.rf.x86_64 (rpmforge)
Requires: libx264.so.107()(64bit)
Available: x264-0.0.0-0.4.20101111.el6.rf.x86_64 (rpmforge)
libx264.so.107()(64bit)
Installed: x264-0.118-17_20111111.2245.el6.x86_64 (@atrpms)
Not found
Available: x264-0.0.0-0.4.20090708.el6.rf.x86_64 (rpmforge)
Not found
Error: Package: vlc-1.1.13-1.el6.rf.x86_64 (rpmforge)
Requires: libebml.so.2()(64bit)
Available: libebml-1.0.0-1.el6.rf.x86_64 (rpmforge)
libebml.so.2()(64bit)
Installed: libebml-1.2.1-1.el6.x86_64 (@epel)
Not found
Available: libebml-0.7.8-1.el6.rf.x86_64 (rpmforge)
Not found
Error: Package: vlc-1.1.13-1.el6.rf.x86_64 (rpmforge)
Requires: libmatroska.so.2()(64bit)
Available: libmatroska-1.0.0-1.el6.rf.x86_64 (rpmforge)
libmatroska.so.2()(64bit)
Installed: libmatroska-1.2.0-1.el6.x86_64 (@epel)
Not found
Available: libmatroska-0.8.1-1.el6.rf.x86_64 (rpmforge)
Not found
Error: Package: ffmpeg-0.6.5-1.el6.rf.x86_64 (rpmforge)
Requires: libx264.so.107()(64bit)
Available: x264-0.0.0-0.4.20101111.el6.rf.x86_64 (rpmforge)
libx264.so.107()(64bit)
Installed: x264-0.118-17_20111111.2245.el6.x86_64 (@atrpms)
Not found
Available: x264-0.0.0-0.4.20090708.el6.rf.x86_64 (rpmforge)
Not found
Error: Package: vlc-1.1.13-1.el6.rf.x86_64 (rpmforge)
Requires: libdvbpsi.so.6()(64bit)
Available: libdvbpsi-0.1.7-1.el6.rf.x86_64 (rpmforge)
libdvbpsi.so.6()(64bit)
Installed: libdvbpsi-0.2.2-1.el6.x86_64 (@atrpms)
Not found
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest


What a mess! Who's steering this boat anyway?

I put the priority in rpmforge but it did not seem to help. I guess I'll have to track down all those files and remove them. Shouldn't setting the priority force yum to overwrite those files though?

I'll update more shortly.
tegryan
 
Posts: 3
Joined: 2012/12/04 18:18:14

Re: Yum issue installing VLC

Postby tegryan » 2012/12/04 21:41:46

It's solved!

I removed the remaining packages with:

yum remove libavutil*

And it installed now.

Thanks once again Trevor, you definitely pointed me in the right direction.
tegryan
 
Posts: 3
Joined: 2012/12/04 18:18:14

Re: Yum issue installing VLC

Postby dedanna1029 » 2012/12/09 09:25:07

Interesting you got the rpmforge repo to go on that. I had to completely uninstall everything; dependencies, the works, then disable all third-party repos except linuxtech, and do it straight from linuxtech. It was the only way I could stay out of dependency hell with it. rpmforge was the one giving me the dep hell.
dedanna1029
 
Posts: 10
Joined: 2012/11/10 22:36:30


Return to CentOS 6 - Software Support

Who is online

Users browsing this forum: No registered users and 8 guests